> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/datamart-management/user-data-stream-sharing.md).

# User Data Stream (sharing)

Operations related to User Data Streams for streaming all content and identifiers collected in a source Datamart to a destination Datamart in real-time. Enables cross-datamart data sharing and multi-organization data flows while maintaining data integrity, supporting use cases like data consolidation, partner data sharing, and multi-brand data aggregation.

## GET /datamarts/{datamart\_id}/user\_data\_stream\_subscriptions

> Search user datastream subscriptions

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"User Data Stream (sharing)","description":"Operations related to User Data Streams for streaming all content and identifiers collected in a source Datamart to a destination Datamart in real-time. Enables cross-datamart data sharing and multi-organization data flows while maintaining data integrity, supporting use cases like data consolidation, partner data sharing, and multi-brand data aggregation."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/user_data_stream_subscriptions":{"get":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"max_results":{"type":"integer"},"first_result":{"type":"integer"},"count":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"total":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/UserDataStreamSubscriptionResource"}}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","summary":"Search user datastream subscriptions","parameters":[{"explode":false,"name":"datamart_id","style":"simple","schema":{"type":"integer","format":"int64"},"in":"path","required":true},{"in":"query","style":"form","description":"Offset from which the search must be performed","required":false,"name":"first_result","schema":{"type":"integer","format":"int32"},"explode":true},{"required":false,"style":"form","name":"max_results","schema":{"type":"integer","format":"int32"},"explode":true,"in":"query","description":"Number of maximum items that shall be return by this search"}],"operationId":"findUserDataStreamSubscriptions","tags":["User Data Stream (sharing)"]}}},"components":{"schemas":{"UserDataStreamSubscriptionResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"service_agreement_id":{"type":"string","readOnly":false}},"required":["id","service_agreement_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /datamarts/{datamart\_id}/user\_data\_stream\_subscriptions

> create a user datastream subscription

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"User Data Stream (sharing)","description":"Operations related to User Data Streams for streaming all content and identifiers collected in a source Datamart to a destination Datamart in real-time. Enables cross-datamart data sharing and multi-organization data flows while maintaining data integrity, supporting use cases like data consolidation, partner data sharing, and multi-brand data aggregation."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/user_data_stream_subscriptions":{"post":{"parameters":[{"required":true,"name":"datamart_id","style":"simple","in":"path","explode":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/UserDataStreamSubscriptionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"requestBody":{"description":"The user datastream subscription to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDataStreamSubscriptionResource"}}},"required":true},"tags":["User Data Stream (sharing)"],"description":"","summary":"create a user datastream subscription","operationId":"createUserDataStreamSubscription"}}},"components":{"schemas":{"UserDataStreamSubscriptionResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"service_agreement_id":{"type":"string","readOnly":false}},"required":["id","service_agreement_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /datamarts/{datamart\_id}/user\_data\_stream\_subscriptions/{subscription\_id}

> Delete user datastream subscription

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"User Data Stream (sharing)","description":"Operations related to User Data Streams for streaming all content and identifiers collected in a source Datamart to a destination Datamart in real-time. Enables cross-datamart data sharing and multi-organization data flows while maintaining data integrity, supporting use cases like data consolidation, partner data sharing, and multi-brand data aggregation."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/datamarts/{datamart_id}/user_data_stream_subscriptions/{subscription_id}":{"delete":{"description":"","parameters":[{"in":"path","explode":false,"style":"simple","required":true,"schema":{"type":"integer","format":"int64"},"name":"datamart_id"},{"explode":false,"style":"simple","schema":{"type":"integer","format":"int64"},"in":"path","required":true,"name":"subscription_id"}],"responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["User Data Stream (sharing)"],"operationId":"deleteUserDataStreamSubscription","summary":"Delete user datastream subscription"}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/datamart-management/user-data-stream-sharing.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
